org.springframework.context.event

## Class ContextStoppedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.context.event.ApplicationContextEvent
      - - org.springframework.context.event.ContextStoppedEvent

All Implemented Interfaces:
  Serializable

    public class ContextStoppedEvent
    extends ApplicationContextEvent

Event raised when an `ApplicationContext` gets stopped.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `ContextStartedEvent`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ContextStoppedEvent(ApplicationContext source)` Create a new ContextStoppedEvent.

### Method Summary

### Methods inherited from class org.springframework.context.event.ApplicationContextEvent

`getApplicationContext`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextStoppedEvent

    public ContextStoppedEvent(ApplicationContext source)

Create a new ContextStoppedEvent.

Parameters:
  `source` - the `ApplicationContext` that has been stopped (must not be `null`)